nShift Delivery ## Sections • [Authentication](https://developers.nshiftone.com/delivery/authentication.md): Getting a JWT nShift Delivery's API uses JWT (JSON Web Token) for authentication. Before calling any API endpoint, you need to use your API key for a short-lived token. API Key API keys are created inside nShift Delivery under Maintenance → API Keys . Each key consists of two parts: nShift Delivery Basic Auth field Id Username Secret Id Password The API key from Delivery is used to authenticate against the https://api.unifaun.com/rs-extapi/v1/sessions/jwt endpoint. Keep your API key confidential — treat it like a password. Request a Token Endpoint GET https://api.unifaun.com/rs-extapi/v1/sessions/jwt Authentication method: HTTP Basic Auth Authorization: Basic BASE64(<Id>:<Secret Id>) Example request curl -X POST https://api.unifaun.com/rs-extapi/v1/sessions/jwt \ -H "Authorization: Basic $(echo -n '<Id>:<Secret Id>' | base64)" Example response { "token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."} Using the Token Pass the token as a Bearer token in the Authorization header on all subsequent requests: Authorization: Bearer <token> Token validity: 12 hours. After expiry, repeat the exchange above to get a new token. • [Shipping Management](https://developers.nshiftone.com/delivery/shipping-management.md): Integration via API is a service provided by nShift making it easy to integrate your cloud-based ERP or WMS system with nShift Delivery resulting in simpler dispatch processing, safer transactions and significant time savings. A REST API framework is used for communication, with JSON as data carrier offering a number of functions. The REST API endpoints are only accessible via HTTPS and are located at api.unifaun.com. https://api.unifaun.com/rs-extapi/v1 Before getting started you need to know your developer ID and create an API key. • [Addresses](https://developers.nshiftone.com/delivery/addresses.md): Represents how you synchronize your address book with your cloud-based CRM or ERP system, letting you manage and update your address book in one place. • [Create Sender](https://developers.nshiftone.com/delivery/addresses/senders/post-senders.md): Creates a new sender in the address book. Returns the sender ID. • [Fetch Sender](https://developers.nshiftone.com/delivery/addresses/senders/get-senders.md): Fetches Senders. Returns Sender information. Note: Validation of Swedish zip codes is not supported. • [Update Sender](https://developers.nshiftone.com/delivery/addresses/senders/patch-senders-senderid.md): Update a sender. • [Replace Sender](https://developers.nshiftone.com/delivery/addresses/senders/put-senders-senderid.md): Update a sender by replacing it. • [Delete Sender](https://developers.nshiftone.com/delivery/addresses/senders/delete-senders-senderid.md): Delete a sender. The sender will be completely deleted from the system when this call returns successfully. No further operation will be possible on the ID of the sender. • [Create Receiver](https://developers.nshiftone.com/delivery/addresses/receivers/post-receivers.md): Create a new receiver in the address book. Returns the created receiver id or an error message if something went wrong. • [Fetch Receiver](https://developers.nshiftone.com/delivery/addresses/receivers/get-receivers.md): Get information about one or multiple receivers from the address book. ReceiverId or since and page is required. If supplying all three, the id parameter will be used. This service requires a license for the AddressBook function that can be ordered separately. To view functions available to you, go to Help -> Session menu in your account and look in the License keys section. This function is represented by the REST API AddressBook license key. Check of Swedish zipcodes is not supported • [Replace Receiver](https://developers.nshiftone.com/delivery/addresses/receivers/put-receivers-receiverid.md): Update a receiver by replacing it. • [Delete Receiver](https://developers.nshiftone.com/delivery/addresses/receivers/delete-receivers-receiverid.md): Delete a receiver. The receiver will be completely deleted from the system when this call returns successfully. No further operation will be possible on the ID of the receiver. • [Update Receiver](https://developers.nshiftone.com/delivery/addresses/receivers/patch-receivers-receiverid.md): Update a receiver. • [Shipments](https://developers.nshiftone.com/delivery/shipments.md): Represent how you create shipments and print shipment documents as PDF or ZPL files. The resource also has methods and endpoints for history follow-up and shipment deletion, that is, preventing sending EDI message to carrier. • [Create PDF Copy](https://developers.nshiftone.com/delivery/shipments/pdfs/post-pdfs.md): Create copies of all PDF documents for a shipment. This endpoint will try to recreate the documents using the print configuration supplied as the body in this POST request. There is a change that the new documents could be missing information if the current version of the documents require information that is not available in the shipment. The list of PDF documents can optionally include the PDF as a base64 encoded string if the inlinePdf query parameter is used with a value set to true . Please note that generated PDF documents are only available for 1 hour. Read more: https://help.unifaun.com/uo-se/en/integrations/apiconnect/shipments.html This service requires a license for the APIConnect function that can be ordered separately. To view functions available to you, go to Help -> Session menu in your account and look in the License keys section. This function is represented by the REST API Print license key. • [Fetch PDF](https://developers.nshiftone.com/delivery/shipments/pdfs/get-pdfs-pdfid.md): Fetch a PDF document for a shipment. The PDF document is streamed as a raw binary stream from this entry point. NOTE Make sure the request has a correct Accept header set to application/pdf . Read more: https://help.unifaun.com/uo-se/en/integrations/apiconnect/shipments.html This service requires a license for the APIConnect function that can be ordered separately. To view functions available to you, go to Help -> Session menu in your account and look in the License keys section. This function is represented by the REST API Print license key. • [List PDFs](https://developers.nshiftone.com/delivery/shipments/pdfs/get-pdfs.md): Fetch a list of all PDF documents for a shipment. The list of PDF documents can optionally include the PDF as a base64 encoded string if the inlinePdf query parameter is used with a value set to true . Please note that generated PDF documents are only available for 1 hour. Read more: https://help.unifaun.com/uo-se/en/integrations/apiconnect/shipments.html This service requires a license for the APIConnect function that can be ordered separately. To view functions available to you, go to Help -> Session menu in your account and look in the License keys section. This function is represented by the REST API Print license key. • [Create Shipment](https://developers.nshiftone.com/delivery/shipments/post-shipments.md): Create a new shipment. To create a shipment, the values in the shipment data of the request body must fulfill the specific requirements of the shipment's service. If this isn't the case no shipment will be created and a list of validation errors will be returned instead. To actually create a shipment the values supplied in the request body must not include an option object with id CONSOLIDATE . Otherwise a consolidated shipment will be created instead of a normal shipment. To check that a normal shipment was created look at the consolidated value in the result of a successful call. Documents will be created according to the provided print configuration. Please note that the generated documents will only be available for 1 hour. By default the documents have to be requested from the URL contained in the href value of prints objects in the result. As an option the PDF or ZPL documents can be inline in the data object in the result print array. The print.data object is encoded in base64. To activate this option include a query parameter named returnFile with the value set to true . This service requires a license for the APIConnect function that can be ordered separately. To view functions available to you, go to Help -> Session menu in your account and look in the License keys section. This function is represented by the REST API Print license key. • [Fetch Shipment](https://developers.nshiftone.com/delivery/shipments/get-shipments.md): Fetch information about printed shipments. To fetch batches of printed shipments this entry point uses a query parameter fetchId to track which shipments have been returned by previous calls. A client using this entry point should save the fetchId returned by a previous call and use that as parameter value for the next call. If no fetchId is available from a previous call the value -1 can used to make a call that will return the fetchId to use in a subsequent call. No more than 100 shipments are returned as a result of a single call. If more than 100 shipments are available the done value in the result will be false and you should make another call to fetch the remaining shipments. Repeated calls when done is false are not subject to the rate limits (see below) of this entry point. There is a rate limit on this entry point and if calls are made too fast the minDelay value in the result will return how long you have to wait (in milliseconds) before calling again. To avoid an uneven call rate because of the rate limit try to keep the call rate to less than one call per five minutes. This service requires a license for the TrackBack function that can be ordered separately. To view functions available to you, go to Help -> Session menu in your account and look in the License keys section. This function is represented by REST API TrackBack license key. • [Delete Shipment](https://developers.nshiftone.com/delivery/shipments/delete-shipmentid.md): Cancel a shipment. After a successful call to this entry point the shipment will get a cancelled status. A cancel message will be sent for the shipment if it is supported by the carrier. This service requires a license for the APIConnect function that can be ordered separately. To view functions available to you, go to Help -> Session menu in your account and look in the License keys section. This function is represented by the REST API Discard license key. • [Create Document Copy](https://developers.nshiftone.com/delivery/shipments/shipmentid/prints/post-prints.md): Create copies of all PDF and / or ZPL documents for a shipment. This endpoint will try to recreate the documents using the print configuration supplied as the body in this POST request. There is a change that the new documents could be missing information if the current version of the documents require information that is not available in the shipment. By default the documents have to be requested from the URL contained in the *`href`* value of *`prints`* objects in the result. As an option the PDF or ZPL documents can be inline in the *`data`* object in the result *`print`* array. The *`print.data`* object is encoded in base64. To activate this option include a query parameter named *`returnFile`* with the value set to *`true`*. There is two charset option for zpl output cp850 or UTF8, cp850 is default. Set printConfig target<X>Options to key="charset" and value="cp850" or "UTF8". If you use cp850 the zpl result is in charset code page 850. If UTF8 is used the characters is written in hex code commands that the printer convert to characters. Not that even if UTF8 is used the standard font in the printer normally only support code page 850 charters. Please note that generated documents are only available for 1 hour. This service requires a license for the **APIConnect** function that can be ordered separately. To view functions available to you, go to *Help* -> *Session* menu in your account and look in the License keys section. This function is represented by the **REST API Print** license key. • [Fetch Document](https://developers.nshiftone.com/delivery/shipments/shipmentid/prints/get-prints-printid.md): Fetch a PDF or ZPL document for a shipment. The PDF document is streamed as a raw binary stream from this entry point. **NOTE** Make sure the request has a correct *`Accept`* header set to *`application/pdf`* or *`application/octet-stream`*. There is two charset option for zpl output cp850 or UTF8, cp850 is default. Set printConfig target<X>Options to key="charset" and value="cp850" or "UTF8". If you use cp850 the zpl result is in charset code page 850. If UTF8 is used the characters is written in hex code commands that the printer convert to charters. Not that even if UTF8 is used the standard font in the printer normally only support code page 850 charters. This service requires a license for the **APIConnect** function that can be ordered separately. To view functions available to you, go to *Help* -> *Session* menu in your account and look in the License keys section. This function is represented by the **REST API Print** license key. • [List Documents](https://developers.nshiftone.com/delivery/shipments/shipmentid/prints/get-prints.md): Fetch a list of all PDF or ZPL documents for a shipment. By default the documents have to be requested from the URL contained in the *`href`* value of *`prints`* objects in the result. As an option the PDF or ZPL documents can be inline in the *`data`* object in the result *`print`* array. The *`print.data`* object is encoded in base64. To activate this option include a query parameter named *`returnFile`* with the value set to *`true`*. There is two charset option for zpl output cp850 or UTF8, cp850 is default. Set printConfig target<X>Options to key="charset" and value="cp850" or "UTF8". If you use cp850 the zpl result is in charset code page 850. If UTF8 is used the characters is written in hex code commands that the printer convert to characters. Not that even if UTF8 is used the standard font in the printer normally only support code page 850 charters. Please note that generated documents are only available for 1 hour. This service requires a license for the **APIConnect** function that can be ordered separately. To view functions available to you, go to *Help* -> *Session* menu in your account and look in the License keys section. This function is represented by the **REST API Print** license key. • [Shipment Manifests](https://developers.nshiftone.com/delivery/shipment-manifests.md): Represents how you create and print shipment manifests (also known as "shipment lists", "end of day manifests", and "manifests") as PDF files provided as a URL or a Base64 encoded file. The resource also has methods and endpoints for creating copies of previously printed shipment lists. • [Create Shipment Manifest](https://developers.nshiftone.com/delivery/shipment-manifests/post-manifests.md): Print a shipment manifest based on required parameter manifestType. • [Fetch Shipment Manifest](https://developers.nshiftone.com/delivery/shipment-manifests/get-manifests.md): Get filtered manifest list based on query parameters. • [Fetch Shipment Manifest Documents](https://developers.nshiftone.com/delivery/shipment-manifests/get-prints.md): Get all manifests based on the required manifestType and manifestId. • [Fetch Shipment Manifest PDF](https://developers.nshiftone.com/delivery/shipment-manifests/get-prints-printid.md): Get the manifest PDF based on the required manifestType, manifestId and printId. • [Fetch Filtered Shipment Manifest](https://developers.nshiftone.com/delivery/shipment-manifests/get-manifesttype-shipments.md): Get filtered shipments list based on query parameters. • [Fetch Printed Shipment Manifest](https://developers.nshiftone.com/delivery/shipment-manifests/fetch-printed-shipment-manifest.md): Get list of manifests pdfs based on manifest id. • [List Shipment Manifest PDFs](https://developers.nshiftone.com/delivery/shipment-manifests/list-shipment-manifest-pdfs.md): Get list of manifest pdfs based on manifest id and print id. • [Create Shipment Manifest Copy](https://developers.nshiftone.com/delivery/shipment-manifests/post-prints.md): Creates copy of manifest pdfs. • [Stored Shipments](https://developers.nshiftone.com/delivery/stored-shipments.md): Represents how you store shipments that don't require immediate printing. Stored shipments can be printed either via the API or manually from the nShift Delivery interface. • [Create Stored Shipment](https://developers.nshiftone.com/delivery/stored-shipments/post-stored-shipments.md): Create a new stored shipment. This service requires a license for the APIConnect function that can be ordered separately. To view functions available to you, go to Help -> Session menu in your account and look in the License keys section. This function is represented by the REST API Store license key. • [Lists Stored Shipments](https://developers.nshiftone.com/delivery/stored-shipments/get-stored-shipments.md): Fetch a list of stored shipments information. Use the query parameters to filter which stored shipments will be returned in the list. Please note that a maxium of 50 stored shipments will be returned. This service requires a license for the APIConnect function that can be ordered separately. To view functions available to you, go to Help -> Session menu in your account and look in the License keys section. This function is represented by the REST API Store license key. • [Delete Stored Shipment](https://developers.nshiftone.com/delivery/stored-shipments/delete-storedid.md): Delete a stored shipment. The stored shipment will be completely deleted from the system when this call returns successfully. No further operation will be possible on the ID of the stored shipment. This service requires a license for the APIConnect function that can be ordered separately. To view functions available to you, go to Help -> Session menu in your account and look in the License keys section. This function is represented by the REST API Store license key. • [Replace Stored Shipment](https://developers.nshiftone.com/delivery/stored-shipments/put-storedid.md): Update a stored shipment by replacing it. This service requires a license for the APIConnect function that can be ordered separately. To view functions available to you, go to Help -> Session menu in your account and look in the License keys section. This function is represented by the REST API Store license key. • [Fetch Stored Shipment](https://developers.nshiftone.com/delivery/stored-shipments/get-storedid.md): Get a single stored shipment. This service requires a license for the APIConnect function that can be ordered separately. To view functions available to you, go to Help -> Session menu in your account and look in the License keys section. This function is represented by the REST API Delivery checkout license key. • [Create Shipment from Stored Shipment](https://developers.nshiftone.com/delivery/stored-shipments/post-storedid-shipments.md): Create one or more shipments from a stored shipment. A successful call to this entry point can result in either a shipment or a consolidated shipment. Use the consolidated value in the result to check what type of object was created. Multiple shipments can be created if the stored shipment represent a combined normal and return shipment. PDF or ZPL documents will be created according to the provided print configuration. Please note that the generated documents will only be available for 1 hour. By default the documents have to be requested from the URL contained in the href value of prints objects in the result. As an option the PDF or ZPL documents can be inline in the data object in the result print array. The print.data object is encoded in base64. To activate this option include a query parameter named returnFile with the value set to true . This service requires a license for the APIConnect function that can be ordered separately. To view functions available to you, go to Help -> Session menu in your account and look in the License keys section. This function is represented by the REST API Print license key. • [Consolidated Shipments](https://developers.nshiftone.com/delivery/consolidated-shipments.md): See how you print shipment documents continuously while holding the EDI message. • [Create Consolidated Shipment](https://developers.nshiftone.com/delivery/consolidated-shipments/post-consolidated-shipments.md): Create a new consolidated shipment. To create a consolidated shipment, the values in the shipment data of the request body must fulfill the specific requirements of the shipment's service. If this isn't the case no consolidated shipment will be created and a list of validation errors will be returned instead. To actually create a consolidated shipment the values supplied in the request body must include an option object with id CONSOLIDATE . Otherwise a normal shipment will be created instead. To check that a consolidated shipment was created look at the consolidated value in the result of a successful call. PDF or ZPL documents will be created according to the provided print configuration. Please note that the generated documents will only be available for 1 hour. By default the documents have to be requested from the URL contained in the href value of prints objects in the result. As an option the PDF or ZPL documents can be inline in the data object in the result print array. The print.data object is encoded in base64. To activate this option include a query parameter named returnFile with the value set to true . This service requires a license for the APIConnect and Consolidation functions that can be purchased from nShift webshop. To view functions available to you, go to Help -> Session menu in your account and look in the License keys section. This function is represented by the REST API Print and Consolidation license keys. • [List Open Consolidated Shipments](https://developers.nshiftone.com/delivery/consolidated-shipments/get-consolidated-shipments.md): Fetch a list of open consolidated shipments. Use the query parameters to filter which consolidated shipments will be returned in the list. Please note that a maxium of 50 consolidated shipments will be returned. This service requires a license for the APIConnect and Consolidation functions that can be purchased from nShift webshop. To view functions available to you, go to Help -> Session menu in your account and look in the License keys section. This function is represented by the REST API Print and Consolidation license keys. • [Delete Parcel Group](https://developers.nshiftone.com/delivery/consolidated-shipments/delete-consolidatedid-partorderno.md): Delete a parcel group on a consolidated shipment. The matching consolidated parcel group will be removed from the system after a successful call to this entry point. This service requires a license for the APIConnect and Consolidation functions that can be purchased from nShift webshop. To view functions available to you, go to Help -> Session menu in your account and look in the License keys section. This function is represented by the REST API Discard and Consolidation license keys. • [Delete Consolidated Shipment](https://developers.nshiftone.com/delivery/consolidated-shipments/delete-consolidatedid.md): Delete a consolidated shipment. The consolidated shipment will be removed from the system after a successful call to this entry point. A cancelled shipment object will be added to shipments to represent the previously printed documents from this consolidated shipment. This service requires a license for the APIConnect and Consolidation functions that can be purchased from nShift webshop. To view functions available to you, go to Help -> Session menu in your account and look in the License keys section. This function is represented by the REST API Discard and Consolidation license keys. • [List PDFs](https://developers.nshiftone.com/delivery/consolidated-shipments/get-pdfs.md): Fetch a list of all PDF documents for a consolidated shipment. The list of PDF documents can optionally include the PDF as a base64 encoded string if the inlinePdf query parameter is used with a value set to true . Please note that generated PDF documents are only available for 1 hour. This service requires a license for the APIConnect and Consolidation functions that can be purchased from nShift webshop. To view functions available to you, go to Help -> Session menu in your account and look in the License keys section. This function is represented by the REST API Print and Consolidation license keys. • [Fetch PDF](https://developers.nshiftone.com/delivery/consolidated-shipments/get-pdfs-pdfid.md): Fetch a PDF document for a consolidated shipment. The PDF document is streamed as a raw binary stream from this entry point. NOTE Make sure the request has a correct Accept header set to application/pdf . This service requires a license for the APIConnect and Consolidation functions that can be purchased from nShift webshop. To view functions available to you, go to Help -> Session menu in your account and look in the License keys section. This function is represented by the REST API Print and Consolidation license keys. • [Shipment Waybills](https://developers.nshiftone.com/delivery/shipment-waybills.md): R how you print waybills for bulk shipments, where available. Each waybill generates a master shipment. The service used for the master shipment depends on waybill type, and in some cases several different services can be used for the master shipment. If only one service is available for the master shipment the service is locked and doesn't have to be provided in the request. • [List Shipment Waybill](https://developers.nshiftone.com/delivery/shipment-waybills/get-shipment-waybills.md): Fetch information about shipments waybills. • [Fetch Shipment Waybill](https://developers.nshiftone.com/delivery/shipment-waybills/waybillid/get-waybillid.md): View waybill details. • [Create Shipment Waybill](https://developers.nshiftone.com/delivery/shipment-waybills/waybillid/post-waybillid-shipments.md): Print a waybill by waybill id PDF or ZPL documents will be created according to the provided print configuration. Please note that the generated documents will only be available for 1 hour. By default the documents have to be requested from the URL contained in the href value of prints objects in the result. As an option the PDF or ZPL documents can be inline in the data object in the result print array. The print.data object is encoded in base64. To activate this option include a query parameter named returnFile with the value set to true . This service requires a license for the APIConnect function that can be ordered separately. To view functions available to you, go to Help -> Session menu in your account and look in the License keys section. This function is represented by the REST API Print license key. • [Shipment History](https://developers.nshiftone.com/delivery/shipment-history.md): Represents how you retrieve shipment history that goes back a maximum of six (6) months. • [Fetch Shipment History](https://developers.nshiftone.com/delivery/shipment-history/get-shipments-history.md): Fetch information about shipments (max 6 months old). To fetch shipments this entry point uses a query parameter page , dateFrom , dateTo , dateType , searchField , searchValue , status , to track shipments. No more than 50 shipments are returned as a result of a single page. All the results will be order by created date in descending order. This service requires a license for the function that is delivered with the integration API licence keys, under the name of REST API Shipment History license key. • [Print](https://developers.nshiftone.com/delivery/print.md): Represents how you manage print client applications, printers and print jobs in Print by nShift. • [List Print Clients](https://developers.nshiftone.com/delivery/print/clients/get-clients.md): Fetch a list of all Print client applications. Return only partial list using pagination parameters page and size. • [Fetch Print Client](https://developers.nshiftone.com/delivery/print/clients/clientid/get-clientid.md): Fetch a specific Print client application by clientId . • [List Printers](https://developers.nshiftone.com/delivery/print/clients/clientid/get-clientid-printers.md): Fetch a list of all printers that have been connected to a specific Print client application by clientId. Return only partial list using pagination parameters page and size. • [Create Print Job](https://developers.nshiftone.com/delivery/print/post-print-printjobs.md): Send a print job to any connected printer by consolidatedId and printId. Define printerId and other print job settings in the request body. Returns the resulting print job. The endpoint works with formats PDF or RAW, where RAW is any other format generated as a printed document. The property contentType must be either of the following values: pdf_base64, pdf_uri, raw_base64, raw_uri. and defaults to *_uri depending on format of the generated document. • [Get Printers](https://developers.nshiftone.com/delivery/print/printers/get-printers.md): Fetch a list of all printers that have been connected to any Print client applications. Return only partial list using pagination parameters page and size. • [Get Printers PrinterId](https://developers.nshiftone.com/delivery/print/printers/get-printers-printerid.md): Fetch a specific printer that have been connected to a Print client by printerId. • [List Print Jobs](https://developers.nshiftone.com/delivery/print/printjobs/get-printjobs.md): Fetch a list of all print jobs sent to any Print client filtered by dateFrom, dateTo and status. Return only partial list using pagination parameters page and size. • [Fetch Print Job](https://developers.nshiftone.com/delivery/print/printjobs/get-printjobs-printjobid.md): Fetch a specific print job that has been sent to a Print client by printJobId. • [Create Manifest Print Job](https://developers.nshiftone.com/delivery/print/post-print-printjobs-1.md): Send a print job to any connected printer by manifestId and printId. Define printerId and other print job settings in the request body. Returns the resulting print job. The endpoint works with formats PDF or RAW, where RAW is any other format generated as a printed document. The property contentType must be either of the following values: pdf_base64, pdf_uri, raw_base64, raw_uri. and defaults to *_uri depending on format of the generated document. • [Create Shipment Print Job](https://developers.nshiftone.com/delivery/print/post-print-printjobs-2.md): Send a print job to any connected printer by shipmentId and printId. Define printerId and other print job settings in the request body. Returns the resulting print job. The endpoint works with formats PDF or RAW, where RAW is any other format generated as a printed document. The property contentType must be either of the following values: pdf_base64, pdf_uri, raw_base64, raw_uri. and defaults to *_uri depending on format of the generated document. • [Prices](https://developers.nshiftone.com/delivery/prices.md): Represents how you send price enquiries before booking a shipment and retrieve stored prices for follow-up. The prices are based on your agreement with the carrier. Currently there is support for Bring, DB Schenker, DHL Express, DHL Freight, TNT and UPS. • [Fetch Shipment Price](https://developers.nshiftone.com/delivery/prices/post-prices.md): Fetch price information about a shipment. You can add additionl surcharges either amount, percent or both. If you add both the percent is calculated on sum of the price plus additional amount. You write percent as whole value for example if you want to add 10% you write 10. This service requires a license for the REST API price enquiry function that can be ordered separately. To view functions available to you, go to Help -> Session menu in your account and look in the License keys section. This function is represented by REST API price enquiry license key. • [Fetch Price History](https://developers.nshiftone.com/delivery/prices/post-prices-history.md): Fetch information about prices for shipments. To fetch batches of prices this entry point uses a query parameter fetchId to track which prices have been returned by previous calls. A client using this entry point should save the fetchId returned by a previous call and use that as parameter value for the next call. If no fetchId is available from a previous call the value -1 can used to make a call that will return the fetchId to use in a subsequent call. No more than 100 prices are returned as a result of a single call. If more than 100 prices are available the done value in the result will be false and you should make another call to fetch the remaining prices. Repeated calls when done is false are not subject to the rate limits (see below) of this entry point. There is a rate limit on this entry point and if calls are made too fast the minDelay value in the result will return how long you have to wait (in milliseconds) before calling again. To avoid an uneven call rate because of the rate limit try to keep the call rate to less than one call per five minutes. This service requires a license for the Status events function that can be ordered separately. To view functions available to you, go to Help -> Session menu in your account and look in the License keys section. This function is represented by REST API price enquiry license key. • [Status Events](https://developers.nshiftone.com/delivery/status-events.md): Represents how you retrieve delivery related status events for shipments that have changed status since the last call. • [Fetch Status Events](https://developers.nshiftone.com/delivery/status-events/get-alerts.md): Fetch information about status events connected to shipments. To fetch batches of status events this entry point uses a query parameter fetchId to track which events have been returned by previous calls. A client using this entry point should save the fetchId returned by a previous call and use that as parameter value for the next call. If no fetchId is available from a previous call the value -1 can used to make a call that will return the fetchId to use in a subsequent call. No more than 100 events are returned as a result of a single call. If more than 100 events are available the done value in the result will be false and you should make another call to fetch the remaining events. Repeated calls when done is false are not subject to the rate limits (see below) of this entry point. There is a rate limit on this entry point and if calls are made too fast the minDelay value in the result will return how long you have to wait (in milliseconds) before calling again. To avoid an uneven call rate because of the rate limit try to keep the call rate to less than one call per five minutes. This service requires a license for the Status events function that can be ordered separately. To view functions available to you, go to Help -> Session menu in your account and look in the License keys section. This function is represented by REST API Status events license key. • [Code Lists](https://developers.nshiftone.com/delivery/meta.md): Represents how you scale and customize information about services on a per customer basis. • [Fetch Code Lists](https://developers.nshiftone.com/delivery/meta/lists/get-lists-partners.md): Fetch a list of meta data about partners and their services. Use the query parameters to filter which partners and services will be returned in the list. This service requires a license for the APIConnect function that can be ordered separately. To view functions available to you, go to Help -> Session menu in your account and look in the License keys section. This function is represented by the REST API Store license key. • [Onboarding](https://developers.nshiftone.com/delivery/onboarding.md): Represents how you onboard customers in nShift Delivery. • [Fetch Accounts](https://developers.nshiftone.com/delivery/onboarding/get-onboarding-accounts.md): Primary users of this service are members of the partner network and it requires a special license. To view available functions in your account, navigate to Help -> Session menu in your account and look in the License keys section. This function is represented by the REST API Onboarding license key. • [Create Applications](https://developers.nshiftone.com/delivery/onboarding/applications/create-applications.md): Primary users of this service are members of the partner network and it requires a special license. To view available functions in your account, navigate to Help -> Session menu in your account and look in the License keys section. This function is represented by the REST API Onboarding license key. • [Fetch Application Language](https://developers.nshiftone.com/delivery/onboarding/applications/fetch-application-language.md): Primary users of this service are members of the partner network and it requires a special license. To view available functions in your account, navigate to Help -> Session menu in your account and look in the License keys section. This function is represented by the REST API Onboarding license key. • [Fetch Onboarding Language](https://developers.nshiftone.com/delivery/onboarding/get-onboarding-language.md): Primary users of this service are members of the partner network and it requires a special license. To view available functions in your account, navigate to Help -> Session menu in your account and look in the License keys section. This function is represented by the REST API Onboarding license key. • [Order Management](https://developers.nshiftone.com/delivery/order-management.md): The Order management API is part of nShift Delivery and provides programmatic access to order data used in fulfillment and delivery workflows. It enables orders to be created, updated, and tracked, and supports the configuration of order channels that connect external systems to nShift Delivery. Order data managed through the API can be used alongside the nShift Delivery user interface to support automation, integration, and operational visibility across the order lifecycle. Order channels allow orders from different sources to be ingested and processed consistently across shipping and delivery operations. Why Order management? Centralized access to order data across fulfillment and delivery Support for order channels connecting multiple external systems Consistent linkage between orders, shipments, and delivery status Supports both API-based integration and user interface workflows Integrates with the Delivery API • [Comments](https://developers.nshiftone.com/delivery/comments.md): Comments allow you and customers to provide information internally or externally to carriers. Internal comments will only be visible in the system and will never be visible for customers or carriers. They can be used to convey information about packing, the location of items or any other relevant communication internally. External comments will be visible to you, the carrier and customers. They can be used to communicate delivery instructions for the last mile delivery (e.g. place in my garage) or any other relevant information for the carrier or customers. • [Create Comment](https://developers.nshiftone.com/delivery/comments/comments.md): Creates a new comment on an order. By providing the orderId and type , you can input a text string in value to attach the order. Returns a comment id . • [Delete Comment](https://developers.nshiftone.com/delivery/comments/comments-id-1.md): Removes a comment on an order. By providing the comment id to remove, you can target and erase a comment. • [Fetch Comment](https://developers.nshiftone.com/delivery/comments/comments-id.md): Retrieves an existing comment to review contents by providing the comment id . • [Delivery Options](https://developers.nshiftone.com/delivery/deliveryoptions.md): Delivery options are essentially shipping alternatives and the asociated price, your customers will see in you store checkout. Delivery options is also the carrier service configuration that will be used to book the shipment. A Delivery option consists of Carrier config (required) Sender (contains Address and carrier credentials like customer no.) Carrier and service (DHL, Express) Packing type (eg Parcel, Pallet if provided/ for service) Addon /s (notification, insurance etc) Zones, Rates & Conditions (optional if only used to book shipments) Delivery Zone /s (for which receiver countries should this Delivery option be presented) Rate /s - Each Delivery zone can have one or multiple rates (depending on condition Condition /s - Rules that evaluate what price to present (if cartprice <500 kr price = 39 kr else 0kr) • [Create Delivery Option](https://developers.nshiftone.com/delivery/deliveryoptions/delivery-options-1.md): Creates a new delivery option for use with an Order Channel or Shipments directly. By providing the orderChannelId , carrierId , and serviceId you can setup a new Delivery Option. Returns a Delivery Option id . • [Update Delivery Option](https://developers.nshiftone.com/delivery/deliveryoptions/delivery-options-id-1.md): Modify the details of an existing Delivery Option to reflect updated settings such as carrier, service, zones, and add-ons. This allows you to customize delivery configurations to better match your operational needs and ensure accurate shipping options. Updates an existing Delivery Option. Provide id and updated values. • [Delete Delivery Option](https://developers.nshiftone.com/delivery/deliveryoptions/delivery-options-id-2.md): Removes an existing Delivery Option. Provide id . • [Fetch Delivery Option](https://developers.nshiftone.com/delivery/deliveryoptions/delivery-options-id.md): Retrieves an existing Delivery Option. Provide id . • [List Delivery Option](https://developers.nshiftone.com/delivery/deliveryoptions/delivery-options.md): Lists Delivery Options. Returns a paginated list of Delivery Options. • [Get Delivery Option Rates](https://developers.nshiftone.com/delivery/deliveryoptions/delivery-options-rates.md): Creates a new Delivery Option Rate. • [Order Channels](https://developers.nshiftone.com/delivery/orderchannels.md): Order Channels manage the connections to e-commerce platforms to allow automatic imports of orders, fulfillment on shipping, delivery options in checkout and much more. • [Create Order Channel](https://developers.nshiftone.com/delivery/orderchannels/order-channels-1.md): Creates a new Order Channel. By providing a name , integration , and integrationReference you can setup a new Order Channel. Returns an Order Channel id . • [Update Order Channel](https://developers.nshiftone.com/delivery/orderchannels/order-channels-id-1.md): Updates an existing Order Channel. Provide order channel id and updated values. • [Delete Order Channel](https://developers.nshiftone.com/delivery/orderchannels/order-channels-id-2.md): Deletes an existing Order Channel. Provide order channel id . • [Fetch Order Channel](https://developers.nshiftone.com/delivery/orderchannels/order-channels-id.md): Retrieves an existing Order Channel. Provide order channel id . • [Fetch Order Channel Types](https://developers.nshiftone.com/delivery/orderchannels/order-channels-types.md): Retrieves Order Channel Types. • [List Order Channels](https://developers.nshiftone.com/delivery/orderchannels/order-channels.md): Lists Order Channels. Returns a paginated list of Order Channels. • [Orders](https://developers.nshiftone.com/delivery/orders.md): Orders is the step before shipments are created and house all data relevant to the booked order in an e-commerce system. They can automatically be imported from an integration with an e-commerce system, or created manually if the need arises. • [Create Order](https://developers.nshiftone.com/delivery/orders/orders-2.md): Creates a new Order. By providing the orderChannelId the Order should be attached to and an internalReference , you can setup a new order manually and add any needed data to the body. Returns an Order id . • [Update Order](https://developers.nshiftone.com/delivery/orders/orders-id-1.md): Updates an existing Order. Provide Order id and updated values. • [Delete Order](https://developers.nshiftone.com/delivery/orders/orders-id-2.md): Removes an existing Order. Provide Order id . • [Fetch Order](https://developers.nshiftone.com/delivery/orders/orders-id.md): Retrieves an existing Order. Provide Order id . • [List Orders](https://developers.nshiftone.com/delivery/orders/orders.md): List Orders on a given Order Channel. Provide the Order Channel id to list Orders from. Returns a paginated list of Orders. • [Shipments](https://developers.nshiftone.com/delivery/shipments-1.md): Shipments is the last step on the fulfillment flow that books the order line contents, package/service/addons used and any other relevant information for the carrier, so that they can deliver the shipment at the receiver. • [Create Shipment](https://developers.nshiftone.com/delivery/shipments-1/shipments.md): Creates a new Shipment based off an Order. Provide an orderId to send it as an Shipment. For split shipments, provide parcelIds to specify this - if this is blank in the request, the whole order will be processed. Requires the Order to have a Delivery Option attached with proper carrier configuration. Returns parcelIds , shipmentId and trackingNumbers . • [Webhooks](https://developers.nshiftone.com/delivery/webhooks.md): Webhooks can deliver information on orders and shipments to external systems once certain preset parameters are met. This can help you update external systems with information on shipments and tracking events after orders/shipments have been processed, but it does require your external system to support webhooks and be able to receive webhook data on a URL endpoint. • [Create Webhook](https://developers.nshiftone.com/delivery/webhooks/create-webhook.md): Creates a new Webhook. Provide the endpoint url , subject type and a label . • [Update Webhook](https://developers.nshiftone.com/delivery/webhooks/update-webhook.md): Updates an existing Webhook. Provide id and updated values. • [Delete Webhook](https://developers.nshiftone.com/delivery/webhooks/delete-webhook.md) • [Fetch Webhooks](https://developers.nshiftone.com/delivery/webhooks/fetch-webhooks.md): Retrieves existing Webhooks on a list. • [Fetch Webhook by ID](https://developers.nshiftone.com/delivery/webhooks/fetch-webhook-by-id.md): Retrieves an existing Webhook. Provide id . • [Fetch Webhook Events](https://developers.nshiftone.com/delivery/webhooks/fetch-webhook-event.md): Retrieves existing Webhook events on a list. Provide a Webhook id . • [Fetch Webhook Event by ID](https://developers.nshiftone.com/delivery/webhooks/fetch-webhook-events-by-id.md): Retrieves a specific Webhook event. Provide Webhook id and webhookEventId . • [Test Webhook](https://developers.nshiftone.com/delivery/webhooks/test-webhook.md): Tests a Webhook with dummy data. Provide id . • [Resend Webhook](https://developers.nshiftone.com/delivery/webhooks/resend-webhook.md): Resends an existing Webhook id to the external URL endpoint. Provide Webhook id and webhookEventId .